select
     case nvl(asndf3,'0')||nvl(asndf4,'0')
     when '00' then 'ASN非対象の得意先です'
     when '10' then 'ｾﾝﾀｰｺｰﾄﾞを入力した場合にASN対象となります'
     when '01' then 'ｾﾝﾀｰｺｰﾄﾞを入力しない場合にASN対象となります'
     when '11' then '必ずASN対象となります'
     else '' end asnmsg
from (select max(asndf3) asndf3, max(asndf4) asndf4
      from afm03c
      where cls='4'
        and cucd=:cucd)